/* 
 * Copyright (C) 2008 Ondrej Stanek, ostan89<at>gmail.com 
 * http://www.ostan.cz/pocketbot
 *   
 * All rights reserved.
*/
#ifndef IRSENSORS_H
#define IRSENSORS_H

#define startConversion() ADCSRA |= 1<<ADSC	//start first conversion


void sensors_init(void);

/*
typedef struct {
	uint8_t value;  //stores the value computed by calibration algorithm, this is used to determine the line position
	uint16_t raw_led_on; //measured values without any correction, "as they were captured"
	uint16_t raw_led_off;

} sensors_t[7];
*/

typedef struct {
	uint16_t offset;
	float gain;
} calibration_t[7];

extern calibration_t calibration;


typedef struct {
	uint16_t val[7];
	uint16_t pht[4];
	uint16_t diff[7];
} raw_sensors_t;

extern uint8_t sensors[7];
extern raw_sensors_t raw_sensors;
extern uint16_t reference_voltage;

extern void (*callbackAfterConversion)(void);

extern void LoadCalibrationDataFromEEPROM(void);
extern void WriteCalibrationDataToEEPROM(void);
extern void UpdateCalibrationGain(void);
extern void UpdateCalibrationOffset(void);
extern void NormalizeRawSensorData(void);


#endif
