/* 
 * Copyright (C) 2008 Ondrej Stanek, ostan89<at>gmail.com 
 * http://www.ostan.cz/pocketbot
 *   
 * All rights reserved.
*/
#ifndef EFFECTORS_H
#define EFFECTORS_H

extern void motors_init(void);

typedef enum 
{
	BLUE,
	RED
} leds_t;


#define LED_POWER_ON 0b11110011
#define LED_MANUAL_CONTROL_MODE 0b10111010
#define LED_SETTINGS_MODE 0b00100000
#define LED_IR_COMMAND	0b11100000
#define LED_PC_COMMAND	0b10000000
#define LED_DATA_TRANSFER	0b01010101
#define LED_BUFFER_OVERFLOW 0b10101010
#define LED_UNWANTED_INTERRUPT 0b10101010


#define BLUE_LED_OFF()	PORTB &= ~(1<<PB6)
#define BLUE_LED_ON()	PORTB |= 1<<PB6
#define BLUE_LED_CHANGE()	PORTB ^= 1<<PB6

#define RED_LED_OFF()	PORTB &= ~(1<<PB7)
#define RED_LED_ON()	PORTB |= 1<<PB7
#define RED_LED_CHANGE()	PORTB ^= 1<<PB7


extern void LED_Controller_init(void);
extern void LED_SetMode(leds_t led, uint8_t mode);
extern void LED_Blink(leds_t led, uint8_t b);
extern void LED_Controller_Poll(void);





#endif
